{{page-title @model.calendar.name}}

{{#if (or this.fastboot.isFastBoot (not @model))}}
  <LoadingContainer />
{{else}}
  <Manage::Container @title={{@model.calendar.name}} @breadcrumbs={{this.breadcrumbs}}>
    <:extra>
      <div>
        <LinkTo @route="manage.events.add" @query={{hash calendar=@model.calendar.id}} class="btn btn-add-event me-3">
          <FaIcon @icon="plus" />
          {{capitalize this.recordName}}
        </LinkTo>

        {{#if @model.calendar.canEdit}}
          <LinkTo @route="manage.calendars.edit" @model={{@model.calendar.id}} class="btn btn-calendar-edit float-end">
            <FaIcon @icon="pencil-alt" />
            {{capitalize (t "edit")}}
          </LinkTo>
        {{/if}}
      </div>
      <div class="clearfix"></div>
    </:extra>

    <:content>
      <div class="row mb-4">
        <div class="col col-lg-3">
          <Label for="exampleFormControlInput1" class="form-label" @value={{capitalize (t "day")}} as |id|>
            <DaySelector id={{id}} @onChange={{this.changeDay}} @value={{this.day}} @showInput={{true}} @allowClear={{true}} class="form-control" />
          </Label>
        </div>
      </div>
      <div class="row">
        <div class="col">
          <div class="row row-cols-1 row-cols-sm-2 row-cols-md-3 row-cols-lg-4 g-4 mb-5">
            <Manage::SelectableList @query={{this.query}} @value={{@model.events}} @reload={{@model.reload}} as |event selection onSelect| >
              <div class="col">
                <Manage::Card class="card-dashboard-event" @selection={{selection}} @onSelect={{onSelect}} @record={{event}} @onDelete={{this.deleteRecord}} @onClick={{fn this.browseEvent event.id}}>
                  <:content>
                    <Article::FirstParagraph @contentBlocks={{event.contentBlocks}} />
                  </:content>
                </Manage::Card>
              </div>
            </Manage::SelectableList>
          </div>
        </div>
      </div>
    </:content>
  </Manage::Container>
{{/if}}